Subject: Re: [PATCH] commit: Add commit.signoff configuration option

From: Chris Down <[email-masked]>
Date: Mon, 2 Jun 2025 23:54:31 -0700

Hi Junio,

I wanted to follow up on the point around repository specificity, since that 
seems pretty key to the discussion here.

Looking at public dotfiles, many users already work around this with global 
shell aliases for "commit --signoff". This creates the exact problem (I 
believe?) you're concerned about: casual, low intent signoffs without 
deliberate per-repository intent to certify anything.

A repository specific commit.signoff would be more precise than the current 
workarounds, since it would require explicit configuration per repository 
rather than blanket global behavior or muscle memory.

Would only allowing using this flag in a repository context (and not the global 
git config) allay your concerns?

Thanks,

Chris